import { InternalPageService } from './../shared/internal-page.service';
import { InternalPageRoutingModule } from './internal-routing-module';
import { InternalPageComponent } from './internal-page/internal-page.component';
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import {NgbModule} from '@ng-bootstrap/ng-bootstrap';
import { InternalPageHeaderComponent } from './internal-page-header/internal-page-header.component';
import { InternalPageContentComponent } from './internal-page-content/internal-page-content.component';
import { HospitalContentComponent } from './hospital-content/hospital-content.component';
import { CollapsibleModule } from 'angular2-collapsible'; // <-- import the module


@NgModule({
    declarations: [
        InternalPageComponent,
        InternalPageHeaderComponent,
        InternalPageContentComponent,
        HospitalContentComponent,
    ],
    imports: [
        CommonModule,
        InternalPageRoutingModule,
        CollapsibleModule,
        NgbModule.forRoot(),
    ],
    providers: [
        InternalPageService,
    ],
})

export class InternalPageModule {

}