import { InternalPageContentComponent } from './internal-page-content/internal-page-content.component';
import { NgModule } from '@angular/core';
// import { AuthGuardService as AuthGuard } from './../shared/auth-guard.service';
import { RouterModule, Routes } from '@angular/router';
import { InternalPageComponent } from './internal-page/internal-page.component';

import { HospitalContentComponent } from './hospital-content/hospital-content.component';
import { LoginComponent } from './../login/login.component';

const internalPageRoutes: Routes = [
        {path: '' , redirectTo: '/InternalPage', pathMatch: 'full'},
        {path: 'InternalPage' , component: InternalPageComponent, children:[
        {path: 'home', component: InternalPageContentComponent},
        {path: 'hospital', component: HospitalContentComponent},
    ]},
];

@NgModule({
    imports: [
        RouterModule.forChild(internalPageRoutes),
    ],
    //exports: [internalPageRoutes]
    exports: [
        RouterModule
      ]
})

export class InternalPageRoutingModule {

}

